VismaBouwsoftAPICalls.v1_PUT_Addresses Method
v1_PUT_Addresses() as String

This API call is used to update fields of a(n) Address

General Description

HTTP method API version
PUT v1

Don’t forget to put the Authorization field in the header

API Path: /Addresses/{id}
or
API Path: /Addresses/{id}/AddGroup
or
API Path: /Addresses/{id}/Anonimize
or
API Path: /Addresses/{id}/MakeCustomer
or
API Path: /Addresses/{id}/MakeSupplier
or
API Path: /Addresses/{id}/RemoveGroup
or
API Path: /Addresses/{id}/Upload
or
API Path: /Addresses/{id}/note_plain

You make this API call with the key field id as the path parameter (the id of the Address you want to update)

Fields

The following fields are available:

Field Name Type Id Type Name Length Required Writeable Force Write Link
clientnr 1 tpLong 0 No Yes No
suppliernr 1 tpLong 0 No Yes No
groups 2 tpString 0 No No No
salutation 2 tpString 50 No Yes No
language_id 1 tpLong 0 No Yes No
name 2 tpString 150 Yes Yes No
address 2 tpString 63 No Yes No
addressline2 2 tpString 63 No Yes No
countrycode 2 tpString 2 No Yes No
zipcode 2 tpString 15 No Yes No
city 2 tpString 40 No Yes No
state 2 tpString 40 No Yes No
telephone1 9 tpTelefoon 25 No Yes No
telephone2 9 tpTelefoon 25 No Yes No
fax 15 tpFax 25 No Yes No
gsm 9 tpTelefoon 25 No Yes No
shippingaddress_id 1 tpLong 0 No No No
shippingaddress_address 2 tpString 63 No Yes No
shippingaddress_addressline2 2 tpString 63 No Yes No
shippingaddress_countrycode 2 tpString 2 No Yes No
shippingaddress_zipcode 2 tpString 15 No Yes No
shippingaddress_city 2 tpString 40 No Yes No
shippingaddress_state 2 tpString 40 No Yes No
email 10 tpEmail 100 No Yes No
website 2 tpString 100 No Yes No
contact_id 1 tpLong 0 No Yes No
project_id 1 tpLong 0 No Yes No
vatnr 2 tpString 30 No Yes No
vatregistered 5 tpBool 0 No Yes No
gln 2 tpString 13 No Yes No
be_rpr 2 tpString 50 No Yes No
iban1 2 tpString 35 No Yes No
bic1 2 tpString 11 No Yes No
iban2 2 tpString 35 No Yes No
bic2 2 tpString 11 No Yes No
term_of_payment 2 tpString 0 No No No
date_created 3 tpDate 0 No No No
active 5 tpBool 0 No No No
risk 5 tpBool 0 No Yes No
prospect_datefirstaction 6 tpDateNullString 0 No Yes No
prospect_source_id 1 tpLong 0 No Yes No
prospect_currentstatus_id 1 tpLong 0 No Yes No
ts_lastupdate 3 tpDate 0 No No No

/Addresses/{id}

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/Addresses/329298

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: UbOfWxfrDkzSfIIIrfzRqDlIfDlrGfjVflbbzbPtflmfAGAPkA

Query Parameters :
ParameterName: columns, ParameterValue: city=’Houtave’

Success gives statuscode 200 And the following result

{“RecordChanges”: [
  {
    "id": 329298,
    "city": "Houtave",
    "ts_lastupdate": "2026–05–07 09:18:25"
  }
]
}

/Addresses/{id}/AddGroup

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/Addresses/329298/AddGroup

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: IVmfWxfGOUzSfrkkbfzRqbkAfUfjGfGDfVlbzjGfkPbfAjIOUl

Query Parameters :
ParameterName: groupid, ParameterValue: 107

Success gives statuscode 200 And the following result

{“RecordChanges”: [
  {
    "id": 329298,
    "groups": "testgroepAPI"
  }
]
}

/Addresses/{id}/Anonimize

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/Addresses/329299/Anonimize

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: UbOfWxfrDkzSfIIIrfzRqDlIfDlrGfjVflbbzbPtflmfAGAPkA

Success gives statuscode 200 And the following result

{“RecordChanges”: [
  {
    "id": 329299,
    "name": "D",
    "address": "M.",
    "telephone1": "",
    "telephone2": "",
    "fax": "",
    "gsm": "",
    "email": "",
    "vatnr": "",
    "iban1": "",
    "bic1": "",
    "iban2": "",
    "bic2": ""
  }
]
}

/Addresses/{id}/MakeCustomer

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/Addresses/329298/MakeCustomer

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: jfOfWxfrDrzSfVPItfzRqjOffIkbGfVUflbbzbVtVPkfrUODUf

Success gives statuscode 200 And the following result

{“RecordChanges”: [
  {
    "id": 329298,
    "clientnr": 201700525,
    "groups": ""
  }
]
}

/Addresses/{id}/MakeSupplier

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/Addresses/329299/MakeSupplier

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: jfOfWxfrDrzSfVPItfzRqjOffIkbGfVUflbbzbVtVPkfrUODUf

Success gives statuscode 200 And the following result

{“RecordChanges”: [
  {
    "id": 329299,
    "suppliernr": 201700526,
    "groups": ""
  }
]
}

/Addresses/{id}/RemoveGroup

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/Addresses/329298/RemoveGroup

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: IVmfWxfGOUzSfrkkbfzRqbkAfUfjGfGDfVlbzjGfkPbfAjIOUl

Query Parameters :
ParameterName: groupid, ParameterValue: 107

Success gives statuscode 200 And the following result

{“RecordChanges”: [
  {
    "id": 329298,
    "groups": ""
  }
]
}

/Addresses/{id}/Upload

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/Addresses/329298/Upload

with the following parameters :

Header Parameters :
ParameterName: AccessToken, ParameterValue: lAtfWxfrmIzSfmtbbtzRqtjjflIPIODmjDGtzDUkGlfGUOmOjP
ParameterName: Clientnr, ParameterValue: 115

Body Parameters :
ParameterName: fileParameterValue: tptypeput.txt

Success gives statuscode 201 And the following result

{“RecordChanges”: [
  {
    "name": "tptypeput.txt",
    "path_display": "",
    "path_lower": "",
    "id": "",
    "client_modified": "2026–05–07T09:18:48Z",
    "server_modified": "2026–05–07T09:18:48Z",
    "rev": "",
    "size": 425,
    "is_downloadable": true,
    "checksum": "+JbRajwwQ/Nsz7PI59gAxC/mL/7YMKOhvD8BcArpWYI="
  }
]
}

/Addresses/{id}/note_plain

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/Addresses/329299/note_plain

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: PPPfWxfOmrzSfUDrDfzRqUGUfGVjkGVOfUAkzDtbVPbIDtbkDr

Body Parameters :
test

Success gives statuscode 200 And the following result

test